.page-classes {
    width: 100vw;
    height: 100vh;
}

.page-classes .page-classes-primary {
    background-color: var(--color-primary);
    height: 50%;
}

.page-classes .page-header-thin {
    padding: 0 2rem;
}

.page-classes .page-classes-avatar p {
    margin-top: 4rem;
}

.page-classes .page-classes-avatar-name {
    font: 700 2rem Archivo;
}

.page-classes main label {
    color: var(--color-text-complement);
}

.page-classes .page-classes-avatar {
    height: 400px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: column;
    color: var(--color-line-in-white);
    padding: 0 2.4rem;
}

.page-classes .page-classes-form-avatar p {
    justify-self: start;
    margin-left: 2rem;
}

.page-classes .page-classes-avatar-filter {
    display: flex;
    align-items: center;
    color: var(--color-line-in-white);
}

.page-classes .page-classes-avatar-filter {
    width: 100%;
}

.page-classes .page-classes-avatar-filter p {
    text-align: center;
    width: 100%;
}

.page-classes .page-classes-form-avatar-name {
    font: 700 2rem Archivo;
}

.page-classes .page-classes-secondary {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    color: var(--color-line-in-white);
}

.page-classes main {
    width: 94%;
    max-width: 74rem;
    margin: 0 auto 0;
    overflow: hidden;
    margin-top: -5rem;
}

.page-classes .page-classes-end {
    color: var(--color-text-base);
    text-align: center;
    padding: 2rem 0;
}

.page-classes form {
    background-color: var(--color-primary);
}

.page-classes form .form-fields {
    display: grid;
    grid-template-rows: auto auto auto;
    grid-template-columns: 1fr 1fr;
    grid-template-areas: 
        'sub sub'
        'day time'
        'btn btn';
    grid-column-gap: 2rem;
    grid-row-gap: 1rem;
}

.page-classes form .hide-filter {
    display: none;
}

.page-classes form div .subject {
    grid-area: sub;
}

.page-classes form div .day {
    grid-area: day;
}

.page-classes form div .time {
    grid-area: time;
}

.page-classes form fieldset {
    border: 0;
    padding: 0 2.4rem;
    padding-bottom: 4rem;
}

.page-classes form fieldset legend {
    font: 700 2.4rem Archivo;
    color: var(--color-text-title);
    margin-bottom: 2.4rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding-bottom: 1.4rem;
    border-bottom: 1px solid var(--color-line-in-white);
}

.page-classes form button {
    width: 100%;
    height: 5.6rem;
    background: var(--color-secondary);
    color: var(--color-button-text);
    border: 0;
    border-radius: 0.8rem;
    cursor: pointer;
    font: 700 1.6rem Archivo;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    transition: background-color 0.2s;
    margin: 2rem 0;
    grid-area: btn;
}

.page-classes form button:hover {
    background: var(--color-secondary-dark);
}

@media(min-width: 1000px) {
    .page-classes form {
        background-color: transparent;
        max-width: 74rem;
        align-self: center;
        margin: -6rem auto 0;
    }

    .page-classes form .form-fields {
        display: grid;
        grid-template-rows: 1fr;
        grid-template-columns: 2fr 2fr 2fr 1fr;
        grid-template-areas: 'sub day time btn';
        grid-column-gap: 2rem;
    }
    .page-classes form button {
        margin: 0;
        align-self: end;
    }

    .page-classes form fieldset legend {
        display: none;
    }
}